Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.xtg
Class XTGFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          info.bioinfweb.treegraph.document.io.AbstractFilter
              info.bioinfweb.treegraph.document.io.xtg.XTGFilter

All Implemented Interfaces:
  DocumentFilter, FileFilter

    public class XTGFilter

extends AbstractFilter
implements DocumentFilter

Field Summary
`static String` | `ALTERNATIVE_EXTENSION`
`static String` | `EXTENSION`

Constructor Summary
`XTGFilter()`

Method Summary
`String` | `getDefaultExtension()`
`String` | `getDescription()`
`boolean` | `validExtension(String name)`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.DocumentFilter
`accept`

Field Detail

### EXTENSION

    public static final String EXTENSION

See Also:
  Constant Field Values

### ALTERNATIVE_EXTENSION

    public static final String ALTERNATIVE_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### XTGFilter

    public XTGFilter()

Method Detail

### validExtension

    public boolean validExtension(String name)

  Specified by:
    `validExtension` in interface `DocumentFilter`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `DocumentFilter`
  Specified by:
    `getDescription` in class `FileFilter`

### getDefaultExtension

    public String getDefaultExtension()

  Specified by:
    `getDefaultExtension` in interface `DocumentFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD